For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Get USDC Authorization Message (EVM only)

POST
https://api-sandbox.coinflow.cash/api/checkout/evm/usdc-authorization
POST
/api/checkout/evm/usdc-authorization
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/evm/usdc-authorization \
> -H "x-coinflow-auth-session-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": {
> "cents": 2500
> }
>}'
200Successful
1{
2 "message": "Authorize spending of 25.00 USDC for payment ID 12345abcde on CoinFlow platform.",
3 "messageData": {
4 "nonce": "0x9f8b7c6d5e4a3b2c1d0e",
5 "validBefore": "2024-07-01T23:59:59Z",
6 "validAfter": "2024-06-01T00:00:00Z",
7 "value": "25000000",
8 "to": "0xA1b2C3d4E5F678901234567890abcdef12345678",
9 "from": "0xB2c3D4e5F678901234567890abcdef1234567890"
10 }
11}

Gets the USDC authorization message to be signed by the customer for dual-source payments. The signed message allows the customer’s USDC to be used alongside credit card payment.

This is only necessary for EVM chains when using customer USDC + credit card payment.

Was this page helpful?
Previous

Google Pay Checkout

Next
Built with

Authentication

x-coinflow-auth-session-keystring

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
x-coinflow-auth-walletstring

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
amountobjectRequired
paymentIdstringOptional
Optional payment ID for generating unique nonce

Response

Ok
messagestring

EIP-712 message to sign

messageDataobject
Structured message data for transparency